lv.eparaksts.tsl

## Class TrustedListService

- java.lang.Object
- - lv.eparaksts.tsl.TrustedListService

- All Implemented Interfaces:
    Serializable

      public class TrustedListService
      extends Object
      implements Serializable

  Represents a Trusted List Service contained by `TrustedListServiceProvider`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `TYPE_CA_PKC`
    `static String` | `TYPE_CA_QC`
    `static String` | `TYPE_OCSP`
    `static String` | `TYPE_OCSP_QC`
    `static String` | `TYPE_TSA`
    `static String` | `TYPE_TSA_QC`
    `static String` | `TYPE_TSA_QC_QES`
    `static String` | `TYPE_TSA_QTST`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrustedListService(TrustedListServiceProvider serviceProvider)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addStatus(TrustedListServiceStatus status)`
    `List<X509Certificate>` | `getCertificates()`
    `List<TrustedListServiceExtension>` | `getExtensions()`
    `String` | `getName()`
    `TrustedListServiceProvider` | `getServiceProvider()` Returns the associated TrustedListServiceProvider, never `null`.
    `List<TrustedListServiceStatus>` | `getStatus()`
    `TrustedListServiceStatus` | `getStatusAt(Date date)`
    `String` | `getType()`
    `protected void` | `setCertificates(List<X509Certificate> certificates)`
    `protected void` | `setExtensions(List<TrustedListServiceExtension> extensions)`
    `protected void` | `setName(String name)`
    `protected void` | `setType(String type)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE_CA_QC

          public static final String TYPE_CA_QC

      See Also:
        Constant Field Values

    - #### TYPE_CA_PKC

          public static final String TYPE_CA_PKC

      See Also:
        Constant Field Values

    - #### TYPE_OCSP

          public static final String TYPE_OCSP

      See Also:
        Constant Field Values

    - #### TYPE_OCSP_QC

          public static final String TYPE_OCSP_QC

      See Also:
        Constant Field Values

    - #### TYPE_TSA

          public static final String TYPE_TSA

      See Also:
        Constant Field Values

    - #### TYPE_TSA_QTST

          public static final String TYPE_TSA_QTST

      See Also:
        Constant Field Values

    - #### TYPE_TSA_QC

          public static final String TYPE_TSA_QC

      See Also:
        Constant Field Values

    - #### TYPE_TSA_QC_QES

          public static final String TYPE_TSA_QC_QES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TrustedListService

          protected TrustedListService(TrustedListServiceProvider serviceProvider)

  - ### Method Detail

    - #### getServiceProvider

          public TrustedListServiceProvider getServiceProvider()

      Returns the associated TrustedListServiceProvider, never `null`.
      Returns:
        TrustedListServiceProvider.

    - #### getName

          public String getName()

    - #### setName

          protected void setName(String name)

    - #### getType

          public String getType()

    - #### setType

          protected void setType(String type)

    - #### getCertificates

          public List<X509Certificate> getCertificates()

    - #### setCertificates

          protected void setCertificates(List<X509Certificate> certificates)

    - #### getExtensions

          public List<TrustedListServiceExtension> getExtensions()

    - #### setExtensions

          protected void setExtensions(List<TrustedListServiceExtension> extensions)

    - #### getStatus

          public List<TrustedListServiceStatus> getStatus()

    - #### addStatus

          protected void addStatus(TrustedListServiceStatus status)

    - #### getStatusAt

          public TrustedListServiceStatus getStatusAt(Date date)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright VAS Latvijas Valsts radio un televizijas centrs / Developed by SIA EUSO